Loading...
Searching...
No Matches
Opm::EclThcLawParams< ScalarT > Class Template Reference

The default implementation of a parameter object for the thermal conduction law based on the THC* keywords from ECL. More...

`#include <EclThcLawParams.hpp>`

Inheritance diagram for Opm::EclThcLawParams< ScalarT >:

## Public Types

using | Scalar = ScalarT

## Public Member Functions

| EclThcLawParams (const EclThcLawParams &)=default
void | setPorosity (Scalar value)
| Set the porosity.
Scalar | porosity () const
| Return the effective porosity (here meaning porosity*ntg).
void | setThcrock (Scalar value)
| Set thermal conductivity of pure rock [W/(m*K)].
Scalar | thcrock () const
| Return thermal conductivity of pure rock [W/(m*K)].
void | setThcoil (Scalar value)
| Set thermal conductivity of pure oil [W/(m*K)].
Scalar | thcoil () const
| Return thermal conductivity of pure oil [W/(m*K)].
void | setThcgas (Scalar value)
| Set thermal conductivity of pure gas [W/(m*K)].
Scalar | thcgas () const
| Return thermal conductivity of pure gas [W/(m*K)].
void | setThcwater (Scalar value)
| Set thermal conductivity of pure water [W/(m*K)].
Scalar | thcwater () const
| Return thermal conductivity of pure water [W/(m*K)].
Public Member Functions inherited from Opm::EnsureFinalized
OPM_HOST_DEVICE void | finalize ()
| Mark the object as finalized.

## Additional Inherited Members

Protected Member Functions inherited from Opm::EnsureFinalized
OPM_HOST_DEVICE | EnsureFinalized ()
| The default constructor.
OPM_HOST_DEVICE void | check () const

## Detailed Description

template<class ScalarT>
class Opm::EclThcLawParams< ScalarT >

The default implementation of a parameter object for the thermal conduction law based on the THC* keywords from ECL.

The documentation for this class was generated from the following file:

- opm/material/thermal/EclThcLawParams.hpp